# Description

Please include:
- A summary of the changes
- Motivation and context
- Any dependencies that are required
- Which issue is fixed, if applicable

Fixes # (issue)

## Type of change

Please delete options that are not relevant.

- [ ] Bug fix (non-breaking change which fixes an issue)
- [ ] New feature (non-breaking change which adds functionality)
- [ ] Breaking change (fix or feature that would cause existing functionality to not work as expected)
- [ ] Documentation update
- [ ] Performance improvement
- [ ] Code refactoring
- [ ] Test updates

## How Has This Been Tested?

Please describe the tests you ran to verify your changes. Provide instructions so we can reproduce. Please also list any relevant details for your test configuration.

- [ ] Test A
- [ ] Test B

## Checklist:

- [ ] My code follows the style guidelines of this project
- [ ] I have performed a self-review of my own code
- [ ] I have commented my code, particularly in hard-to-understand areas
- [ ] I have made corresponding changes to the documentation
- [ ] My changes generate no new warnings
- [ ] I have added tests that prove my fix is effective or that my feature works
- [ ] New and existing unit tests pass locally with my changes
- [ ] Any dependent changes have been merged and published in downstream modules
- [ ] I have checked my code and corrected any misspellings

## Screenshots (if appropriate):

## Additional context:

Add any other context about the pull request here.

## Mobile Testing Checklist:

If applicable, please confirm testing on:

### iOS
- [ ] iPhone (latest iOS version)
- [ ] iPad (if applicable)
- [ ] Different screen sizes tested
- [ ] Dark mode tested

### Android
- [ ] Latest Android version
- [ ] Different screen sizes tested
- [ ] Dark mode tested

## Performance Impact:

- [ ] No significant performance impact
- [ ] Performance improved
- [ ] Performance regressed (please explain)

## Database Changes:

If applicable:
- [ ] Database migrations are included
- [ ] Backward compatibility is maintained
- [ ] Data integrity is preserved

## Future Impact:

Please describe any potential future impact this change might have:
- Impact on planned features
- Technical debt considerations
- Scalability implications